# Uses of Enum Class
org.opensaml.saml.metadata.resolver.DetectDuplicateEntityIDs

Packages that use DetectDuplicateEntityIDs
Package
Description
org.opensaml.saml.common.messaging.context
Context classes for SAML-based messaging function.
org.opensaml.saml.metadata.criteria.entity
Classes for SAML metadata entity criteria.
org.opensaml.saml.metadata.resolver
Classes for SAML metadata resolution.

## Uses of DetectDuplicateEntityIDs in org.opensaml.saml.common.messaging.context

Fields in org.opensaml.saml.common.messaging.context declared as DetectDuplicateEntityIDs
Modifier and Type
Field
Description
`private DetectDuplicateEntityIDs`
SAMLMetadataLookupParametersContext.`detectDuplicateEntityIDs`
The strategy for duplicate entityID detection.
Methods in org.opensaml.saml.common.messaging.context that return DetectDuplicateEntityIDs
Modifier and Type
Method
Description
`DetectDuplicateEntityIDs`
SAMLMetadataLookupParametersContext.`getDetectDuplicateEntityIDs()`
Get the strategy for duplicate entityID detection.
Methods in org.opensaml.saml.common.messaging.context with parameters of type DetectDuplicateEntityIDs
Modifier and Type
Method
Description
`SAMLMetadataLookupParametersContext`
SAMLMetadataLookupParametersContext.`setDetectDuplicateEntityIDs(DetectDuplicateEntityIDs strategy)`
Set the strategy for duplicate entityID detection.

## Uses of DetectDuplicateEntityIDs in org.opensaml.saml.metadata.criteria.entity

Fields in org.opensaml.saml.metadata.criteria.entity declared as DetectDuplicateEntityIDs
Modifier and Type
Field
Description
`private DetectDuplicateEntityIDs`
DetectDuplicateEntityIDsCriterion.`value`
The configured duplicate detection value.
Methods in org.opensaml.saml.metadata.criteria.entity that return DetectDuplicateEntityIDs
Modifier and Type
Method
Description
`DetectDuplicateEntityIDs`
DetectDuplicateEntityIDsCriterion.`getValue()`
Get the configured value.
Constructors in org.opensaml.saml.metadata.criteria.entity with parameters of type DetectDuplicateEntityIDs
Modifier
Constructor
Description
``
`DetectDuplicateEntityIDsCriterion(DetectDuplicateEntityIDs detect)`
Constructor.

## Uses of DetectDuplicateEntityIDs in org.opensaml.saml.metadata.resolver

Fields in org.opensaml.saml.metadata.resolver declared as DetectDuplicateEntityIDs
Modifier and Type
Field
Description
`private DetectDuplicateEntityIDs`
ChainingMetadataResolver.`detectDuplicateEntityIDs`
Strategy for detecting duplicate entityIDs across resolvers.
Methods in org.opensaml.saml.metadata.resolver that return DetectDuplicateEntityIDs
Modifier and Type
Method
Description
`DetectDuplicateEntityIDs`
ChainingMetadataResolver.`getDetectDuplicateEntityIDs()`
Get the strategy for detecting duplicate entityIDs across resolvers.
`static DetectDuplicateEntityIDs`
DetectDuplicateEntityIDs.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DetectDuplicateEntityIDs[]`
DetectDuplicateEntityIDs.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.opensaml.saml.metadata.resolver with parameters of type DetectDuplicateEntityIDs
Modifier and Type
Method
Description
`private void`
ChainingMetadataResolver.`detectDuplicateEntityIDs(MetadataResolver resolver, CriteriaSet criteria, Set<String> resultEntityIDs, DetectDuplicateEntityIDs detectDuplicates)`
Perform duplicate entityID detection.
`void`
ChainingMetadataResolver.`setDetectDuplicateEntityIDs(DetectDuplicateEntityIDs strategy)`
Set the strategy for detecting duplicate entityIDs across resolvers.